# GimpUi.StringComboBox

    from gi.repository import GimpUi

    string_combo_box = GimpUi.StringComboBox(ellipsize=value, id_column=value, label_column=value, value=value)

A Gtk.ComboBox subclass to select strings.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Bin
          - Gtk.ComboBox
            - GimpUi.StringComboBox

## Methods

- GimpUi.StringComboBox.get_active
- GimpUi.StringComboBox.set_active
- GimpUi.StringComboBox.set_sensitivity

## Properties

- ellipsize
- id-column
- label-column
- value

## Fields

- GimpUi.StringComboBox->parent_instance